%define upstream_name    Path-Tiny
%define upstream_version 0.040

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    File path utility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Devel::Hide)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec) >= 3.400.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Spec::Unix)
BuildRequires: perl(File::Temp) >= 0.180.0
BuildRequires: perl(File::pushd)
BuildRequires: perl(File::stat)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(autodie) >= 2.140.0
BuildRequires: perl(constant)
BuildRequires: perl(open)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildConflicts: cpanminus

BuildArch:  noarch

%description
This module attempts to provide a small, fast utility for working with file
paths. It is friendlier to use than the File::Spec manpage and provides
easy access to functions from several other core file handling modules.

It doesn't attempt to be as full-featured as the IO::All manpage or the
Path::Class manpage, nor does it try to work for anything except Unix-like
and Win32 platforms. Even then, it might break if you try something
particularly obscure or tortuous. (Quick! What does this mean:
'///../../..//./././a//b/.././c/././'? And how does it differ on Win32?)

All paths are forced to have Unix-style forward slashes. Stringifying the
object gives you back the path (after some clean up).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 541134
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 495152
- update to 0.040

* Fri Oct 04 2013 sander85 <sander85> 0.38.0-1.mga4
+ Revision: 491434
- update to 0.038

* Fri Sep 27 2013 sander85 <sander85> 0.37.0-1.mga4
+ Revision: 487338
- update to 0.037

* Fri Sep 13 2013 sander85 <sander85> 0.33.0-1.mga4
+ Revision: 478688
- update to 0.033

* Sun Sep 08 2013 sander85 <sander85> 0.32.0-1.mga4
+ Revision: 476137
- update to 0.032

* Thu Aug 08 2013 sander85 <sander85> 0.27.0-1.mga4
+ Revision: 464541
- update to 0.027

* Mon Jul 22 2013 sander85 <sander85> 0.26.0-1.mga4
+ Revision: 457069
- update to 0.026

* Mon Mar 18 2013 jquelin <jquelin> 0.15.0-1.mga3
+ Revision: 403900
- update to 0.015
- adding missing buildrequires:
- imported package perl-Path-Tiny


* Tue Feb 12 2013 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
